Source: r-cran-digest
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/edd/r-cran-digest
Vcs-Git: https://salsa.debian.org/edd/r-cran-digest.git
Homepage: https://cran.r-project.org/package=digest

Package: r-cran-digest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}
Description: GNU R package for 'hash digest' of R data structures
 Implementation of a function 'digest()' for the creation of hash 
 digests of arbitrary R objects (using the md5, sha-1, sha-256,  
 crc32, xxhash, murmurhash, and spookyhash algorithms) permitting easy
 comparison of R language objects, as well as a function 'hmac()' to
 create hash-based message authentication code.
 .
 Please note that this package is not meant to be deployed for 
 cryptographic purposes for which more comprehensive (and widely 
 tested) libraries such as OpenSSL should be used.
